/**
  ******************************************************************************
  * @file    netconf.c
  * @author  YEES
  * @version V1.0.0
  * @date    2011/11/17
  * @brief   ENC28J60. 
  ******************************************************************************
  * @attention
  * (C) COPYRIGHT 2011 YEES 
  ******************************************************************************  
  */ 

/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef __NETCONF_H
#define __NETCONF_H

//=============================================================================
#define IP_ADDDRESS()	IP4_ADDR(&ipaddr, 	192, 168, 11,  55)
#define IP_MASK()		IP4_ADDR(&netmask, 	255, 255, 255, 0)
#define IP_GATEWAY()	IP4_ADDR(&gw, 		192, 168, 11,  1)
//=============================================================================
  
  
  


#ifdef __cplusplus
 extern "C" {
#endif

/* Includes ------------------------------------------------------------------*/

//extern u8_t MACaddr[6];

void LwIP_Init(void);
void LwIP_Pkt_Handle(void);
void LwIP_Periodic_Handle(uint32_t localtime);
void Display_Periodic_Handle(uint32_t localtime);


#ifdef __cplusplus
}
#endif

#endif /* __NETCONF_H */


/******************* (C) COPYRIGHT 2011 YEES *****END OF FILE****/

